/*
 * Boomega
 * Copyright (C)  2021  Daniel Gyoerffy
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.dansoftware.boomega.gui.recordview.connection

import com.dansoftware.boomega.db.data.Record
import com.dansoftware.boomega.gui.api.Context
import com.dansoftware.boomega.gui.databaseview.TabItem
import com.dansoftware.boomega.gui.google.GoogleBooksJoinView
import com.dansoftware.boomega.i18n.i18n
import com.dansoftware.boomega.service.googlebooks.Volume
import de.jensd.fx.glyphs.materialdesignicons.MaterialDesignIcon
import de.jensd.fx.glyphs.materialdesignicons.MaterialDesignIconView
import javafx.scene.Node

class GoogleBookJoinTab(
    private val context: Context,
    private val record: Record,
    private val onVolumeSelected: (GoogleBookJoinTab, Record, Volume) -> Unit
) : TabItem(
    "google_book_join${record.id}",
    i18n("google.book.join.tab.title")
) {
    override val graphic: Node
        get() = MaterialDesignIconView(MaterialDesignIcon.LINK)

    override val content: Node
        get() = GoogleBooksJoinView(context, record) {
            onVolumeSelected(this, record, it)
        }
}